## svt-av1 1.6.0+dfsg

=== CMakeLists.txt ===
#
# Copyright(c) 2018 Intel Corporation
#
# This source code is subject to the terms of the BSD 2 Clause License and
# the Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License
# was not distributed with this source code in the LICENSE file, you can
# obtain it at https://www.aomedia.org/license/software-license. If the Alliance for Open
# Media Patent License 1.0 was not distributed with this source code in the
# PATENTS file, you can obtain it at https://www.aomedia.org/license/patent-license.
#

cmake_minimum_required(VERSION 3.16)

if("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    message(WARNING "Building in-source is highly not recommended\n"
                    "Please use the Build folder or create your own.")
endif()

project(svt-av1 VERSION 1.6.0
    LANGUAGES C CXX)

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if(POLICY CMP0069)
    cmake_policy(SET CMP0069 NEW)
endif()
if(POLICY CMP0077)
    cmake_policy(SET CMP0077 NEW)
endif()


set(CMAKE_C_VISIBILITY_PRESET hidden)
# Default build type to release if the generator does not has its own set of build types
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE Release)
endif()

if(NOT CMAKE_SIZEOF_VOID_P EQUAL 8)
    message(WARNING "32-bit is not supported")
endif()

option(COMPILE_C_ONLY "Compile only C code with no simds (autodetect, default off for x86)" OFF)

include(CheckCSourceCompiles)

check_c_source_compiles("
#if defined(_M_X64) || defined(__x86_64__)
#else
#error \"Non-x64\"
#endif
int main(void) {}
" HAVE_X86_PLATFORM)

if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
    find_program(YASM_EXE yasm)
    option(ENABLE_NASM "Use nasm if available (Uses yasm by default if found)" OFF)
    if(YASM_EXE AND NOT CMAKE_ASM_NASM_COMPILER MATCHES "yasm" AND NOT ENABLE_NASM)
        set(CMAKE_ASM_NASM_COMPILER "${YASM_EXE}" CACHE FILEPATH "Path to nasm compatible compiler" FORCE)
    else()
        set(NASM_VERSION "0.0.0")
        include(CheckLanguage)
        check_language(ASM_NASM)
        execute_process(COMMAND ${CMAKE_ASM_NASM_COMPILER} -v
            OUTPUT_VARIABLE NASM_VERSION
            ERROR_QUIET
            OUTPUT_STRIP_TRAILING_WHITESPACE)
        string(REGEX MATCH "([.0-9])+" NASM_VERSION "${NASM_VERSION}")
        # NASM_VERSION should now contain something like 2.14.02
        # Needs to error out on a version less than 2.14
        if(NASM_VERSION VERSION_LESS "2.14" AND CMAKE_ASM_NASM_COMPILER MATCHES "nasm")
            message(FATAL_ERROR "Found nasm is too old (requires at least 2.14, found ${NASM_VERSION})!")
        endif()
    endif()
    enable_language(ASM_NASM)
    add_definitions(-DARCH_X86_64=1)
endif()

include(GNUInstallDirs)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

set(CMAKE_OUTPUT_DIRECTORY "${PROJECT_SOURCE_DIR}/Bin/${CMAKE_BUILD_TYPE}/" CACHE PATH "Location to write the resulting binaries to")

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY})

#Clang support, required to build static with LTO
if(CMAKE_C_COMPILER_ID MATCHES "Clang" AND UNIX AND NOT APPLE)
    find_program(LLVM_LD_EXE llvm-ld)
    find_program(LLVM_AR_EXE llvm-ar)
    find_program(LLVM_RANLIB_EXE llvm-ranlib)
    if(LLVM_LD_EXE)
        SET (CMAKE_LINKER  "llvm-ld")
    endif()
    if(LLVM_AR_EXE)
        SET (CMAKE_AR      "llvm-ar")
    endif()
    if(LLVM_RANLIB_EXE)
        SET (CMAKE_RANLIB  "llvm-ranlib")
    endif()
endif()

if(MSVC)
    if(DEFINED SANITIZER)
        message(WARNING "Sanitizers are not available with MSVC currently")
    endif()
    unset(SANITIZER)
    unset(SANITIZER CACHE)
else()
    set(SANITIZER "" CACHE STRING "Sanitizer to enable. Currently known values are Address, Memory, Thread, Undefined, and Integer")
    set_property(CACHE SANITIZER PROPERTY STRINGS Address Memory Thread Undefined Integer)
endif()

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 11)

# BUILD_SHARED_LIBS is a standard CMake variable, but we declare it here to
# make it prominent in the GUI.
option(BUILD_SHARED_LIBS "Build shared libraries (DLLs)." ON)
message(STATUS "BUILD_SHARED_LIBS: ${BUILD_SHARED_LIBS}")

option(BUILD_TESTING "Build SvtAv1UnitTests, SvtAv1ApiTests, and SvtAv1E2ETests unit tests")
option(COVERAGE "Generate coverage report")
if(NOT MSVC)
    option(SVT_AV1_PGO "Enable profile guided optimization. Creates the RunPGO and CompilePGO targets")
    # options for internal use
    option(SVT_INTERNAL_PGO_GENERATE "Generate a profile guided optimization profile")
    option(SVT_INTERNAL_PGO_USE "Use a profile for profile guided optimization")
    mark_as_advanced(SVT_INTERNAL_PGO_GENERATE SVT_INTERNAL_PGO_USE)
    set(SVT_AV1_PGO_DIR "${CMAKE_BINARY_DIR}" CACHE PATH "Path to the directory passed to -fprofile-dir for use with profile guided optimization")
    set(SVT_AV1_PGO_CUSTOM_VIDEOS "" CACHE STRING "Semi-colon separated list of directories with y4m videos to run PGO on instead of objective-1-fast")
else()
    set(SVT_AV1_PGO OFF)
endif()

if(MSVC AND SVT_AV1_PGO)
    message(WARNING "PGO is not yet supported for MSVC, disabling")
    unset(SVT_AV1_PGO)
    unset(SVT_AV1_PGO CACHE)
endif()

option(BUILD_APPS "Build Enc and Dec Apps" ON)
option(EXCLUDE_HASH "Disables the use of the git hash in the build to produce hash exact binaries, implies REPRODUCIBLE_BUILDS")
option(REPRODUCIBLE_BUILDS "Disable use of certain C macros to always generate reproducable builds" ${EXCLUDE_HASH})
option(BUILD_ENC "Build Encoder lib and app" ON)
option(BUILD_DEC "Build Decoder lib and app" ON)
if(NOT BUILD_ENC AND NOT BUILD_DEC)
    message(FATAL_ERROR "Not building either the encoder and decoder doesn't make sense.")
endif()
if(SVT_AV1_PGO AND NOT BUILD_APPS)
    message(FATAL_ERROR "Can't use pgo and not build the apps")
endif()

if(SVT_INTERNAL_PGO_USE)
    if(MSVC)
        set(PGO_COMPILER_FLAGS "/GL")
        set(PGO_LINKER_FLAGS "/LTCG /USEPROFILE")
    else()
        set(PGO_COMPILER_FLAGS "-fprofile-use=${SVT_AV1_PGO_DIR} -fprofile-correction")
        set(PGO_LINKER_FLAGS "-fprofile-use=${SVT_AV1_PGO_DIR} -fprofile-correction")
    endif()
elseif(SVT_INTERNAL_PGO_GENERATE)
    if(MSVC)
        set(PGO_COMPILER_FLAGS "/GL")
        set(PGO_LINKER_FLAGS "/LTCG /GENPROFILE")
    else()
        set(PGO_COMPILER_FLAGS "-fprofile-generate=${SVT_AV1_PGO_DIR} -fprofile-correction")
        set(PGO_LINKER_FLAGS "-fprofile-generate=${SVT_AV1_PGO_DIR} -fprofile-correction")
    endif()
endif()

if(SVT_AV1_PGO)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${PGO_COMPILER_FLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PGO_COMPILER_FLAGS}")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${PGO_LINKER_FLAGS}")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${PGO_LINKER_FLAGS}")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${PGO_LINKER_FLAGS}")
endif()

if(EXCLUDE_HASH)
    add_link_options(-Wl,--build-id=none)
    add_definitions(-DEXCLUDE_HASH=1)
else()
    add_definitions(-DEXCLUDE_HASH=0)
endif()

if(REPRODUCIBLE_BUILDS)
    add_definitions(-DREPRODUCIBLE_BUILDS=1)
else()
    add_definitions(-DREPRODUCIBLE_BUILDS=0)
endif()


if(WIN32)
    set(CMAKE_ASM_NASM_FLAGS "${CMAKE_ASM_NASM_FLAGS} -DWIN64")
else()
    set(CMAKE_ASM_NASM_FLAGS "${CMAKE_ASM_NASM_FLAGS} -DUNIX64")
endif()

if(UNIX)
    if(APPLE)
        set(CMAKE_MACOSX_RPATH 1)
        if(CMAKE_C_COMPILER_ID MATCHES "AppleClang")
            set(CMAKE_C_ARCHIVE_CREATE   "<CMAKE_AR> Scr <TARGET> <LINK_FLAGS> <OBJECTS>")
            set(CMAKE_CXX_ARCHIVE_CREATE "<CMAKE_AR> Scr <TARGET> <LINK_FLAGS> <OBJECTS>")
            set(CMAKE_C_ARCHIVE_FINISH   "<CMAKE_RANLIB> -no_warning_for_no_symbols -c <TARGET>")
            set(CMAKE_CXX_ARCHIVE_FINISH "<CMAKE_RANLIB> -no_warning_for_no_symbols -c <TARGET>")
        endif()
    else()
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -z noexecstack -z relro -z now")
    endif()
endif()

# Always build with -fPIC
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

function(check_flag lang flag)
    string(REGEX REPLACE "[^A-Za-z0-9]" "_" flag_var "${flag}")
    if(NOT DEFINED ${lang}_FLAG${flag_var})
        execute_process(COMMAND ${CMAKE_COMMAND} -E echo_append "-- Checking ${lang} flag support for: [${flag}] - ")
        if(CMAKE_C_COMPILER_ID MATCHES "Clang")
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=unused-command-line-argument")
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=unused-command-line-argument")
        endif()
        if("${lang}" STREQUAL "CXX")
            check_cxx_compiler_flag("${flag}" "${lang}_FLAG${flag_var}")
        else()
            check_c_compiler_flag("${flag}" "${lang}_FLAG${flag_var}")
        endif()
        if(${lang}_FLAG${flag_var})
            execute_process(COMMAND ${CMAKE_COMMAND} -E echo "Yes")
        else()
            execute_process(COMMAND ${CMAKE_COMMAND} -E echo "No")
        endif()
    endif()
    set(check_flag ${${lang}_FLAG${flag_var}} PARENT_SCOPE)
endfunction()

function(check_flags_add lang)
    cmake_parse_arguments(check_${lang}_flags_add
        "PREPEND"
        "TYPE"
        ""
        ${ARGN})

    if(check_${lang}_flags_add_TYPE)
        set(check_${lang}_flags_add_TYPE "_${check_${lang}_flags_add_TYPE}")
    endif()
    if(check_${lang}_flags_add_PREPEND)
        list(REVERSE check_${lang}_flags_add_UNPARSED_ARGUMENTS)
    endif()

    set(CMAKE_REQUIRED_QUIET true)

    foreach(flag IN LISTS check_${lang}_flags_add_UNPARSED_ARGUMENTS)
        check_flag("${lang}" "${flag}")
        if(NOT check_flag)
            continue()
        endif()

        if(check_${lang}_flags_add_PREPEND)
            set(CMAKE_${lang}_FLAGS${check_${lang}_flags_add_TYPE} "${flag} ${CMAKE_${lang}_FLAGS${check_${lang}_flags_add_TYPE}}")
        else()
            set(CMAKE_${lang}_FLAGS${check_${lang}_flags_add_TYPE} "${CMAKE_${lang}_FLAGS${check_${lang}_flags_add_TYPE}} ${flag}")
        endif()
    endforeach()
    if(CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
        message(STATUS "${CMAKE_CURRENT_SOURCE_DIR} ${lang}FLAGS: ${CMAKE_${lang}_FLAGS${check_${lang}_flags_add_TYPE}}")
    endif()
    set(CMAKE_${lang}_FLAGS${check_${lang}_flags_add_TYPE} "${CMAKE_${lang}_FLAGS${check_${lang}_flags_add_TYPE}}" PARENT_SCOPE)
endfunction()

macro(check_both_flags_add)
    check_flags_add(C "${ARGV}")
    check_flags_add(CXX "${ARGV}")
endmacro()

macro(add_clike_and_ld_flags)
    string(REPLACE ";" " " add_clike_and_ld_flags "${ARGV}")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${add_clike_and_ld_flags}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${add_clike_and_ld_flags}")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${add_clike_and_ld_flags}")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${add_clike_and_ld_flags}")
endmacro()


option(SVT_AV1_LTO "Attempt to enable Link Time Optimization if available" OFF)
if(SVT_AV1_LTO)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
        include(CheckIPOSupported)
        check_ipo_supported(RESULT svt_av1_ipo_supported)
        if(svt_av1_ipo_supported AND NOT DEFINED CMAKE_INTERPROCEDURAL_OPTIMIZATION)
            set(CMAKE_INTERPROCEDURAL_OPTIMIZATION ON)
        endif()
    else()
        if(MSVC)
            add_clike_and_ld_flags(/LTCG:INCREMENTAL)
        else()
            add_clike_and_ld_flags(-flto)
        endif()
    endif()
endif()

check_both_flags_add(PREPEND -Wextra -Wformat -Wformat-security)

if(MSVC)
    check_both_flags_add(PREPEND /W3)
    check_both_flags_add(/MP)
    check_both_flags_add(TYPE DEBUG /Od)
else()
    check_both_flags_add(PREPEND -Wall)
    option(NATIVE "Build for native performance (march=native)" OFF)
    if(NATIVE)
        check_both_flags_add(-march=native)
    endif()
    if(MINGW)

=== Source/Lib/Encoder/CMakeLists.txt ===
#
# Copyright(c) 2019 Intel Corporation
#
# This source code is subject to the terms of the BSD 3 Clause Clear License and
# the Alliance for Open Media Patent License 1.0. If the BSD 3 Clause Clear License
# was not distributed with this source code in the LICENSE file, you can
# obtain it at https://www.aomedia.org/license/license. If the Alliance for Open
# Media Patent License 1.0 was not distributed with this source code in the
# PATENTS file, you can obtain it at https://www.aomedia.org/license/patent-license.
#

# Encoder Library directory CMakeLists.txt

# Shared Encoder Version
set(ENC_VERSION_MAJOR 1)
set(ENC_VERSION_MINOR 6)
set(ENC_VERSION_PATCH 0)
set(ENC_VERSION ${ENC_VERSION_MAJOR}.${ENC_VERSION_MINOR}.${ENC_VERSION_PATCH})

if(UNIX)
    if(NOT APPLE)
        find_library(M_LIB NAMES m)
        if(M_LIB)
            list(APPEND PLATFORM_LIBS m)
        endif()
        list(APPEND PLATFORM_LIBS Threads::Threads)
    endif()
    set(LIBS_PRIVATE "-lpthread -lm")
endif()

if(COVERAGE)
    if(CMAKE_C_COMPILER_ID MATCHES "GNU")
        set(LIBS_PRIVATE "-lgcov ${LIBS_PRIVATE}")
    else(CMAKE_C_COMPILER_ID MATCHES "Clang")
        set(LIBS_PRIVATE "--coverage ${LIBS_PRIVATE}")
    endif()
endif()

include_directories(${PROJECT_SOURCE_DIR}/Source/API/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/C_DEFAULT/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/C_DEFAULT/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/Codec/
    ${PROJECT_SOURCE_DIR}/third_party/fastfeat/)
link_directories(${PROJECT_SOURCE_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/C_DEFAULT/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/Globals/)

add_subdirectory(C_DEFAULT)
add_subdirectory(Codec)
add_subdirectory(Globals)
if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
    # Include Encoder Subdirectories
    include_directories(${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSSE3/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE4_1/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX512/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSE2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSSE3/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSE4_1/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_AVX2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_AVX512/)

    link_directories(
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/C_DEFAULT/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSSE3/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE4_1/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX512/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSE2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSSE3/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSE4_1/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_AVX2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_AVX512/)
    add_subdirectory(ASM_SSE2)
    add_subdirectory(ASM_SSSE3)
    add_subdirectory(ASM_SSE4_1)
    add_subdirectory(ASM_AVX2)
    add_subdirectory(ASM_AVX512)
endif()

# Required for cmake to be able to tell Xcode how to link all of the object files
if(CMAKE_GENERATOR STREQUAL "Xcode")
    file(WRITE ${PROJECT_BINARY_DIR}/dummy.c "")
endif()

set(all_files "")

get_target_property(common_lib_source common_lib INTERFACE_SOURCES)
if(common_lib_source)
    list(APPEND all_files ${common_lib_source} ${PROJECT_BINARY_DIR}/dummy.c)
endif()

# Encoder Lib Source Files
if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
    add_library(SvtAv1Enc
        ${all_files}
        $<TARGET_OBJECTS:COMMON_CODEC>
        $<TARGET_OBJECTS:FASTFEAT>
        $<TARGET_OBJECTS:COMMON_C_DEFAULT>
        $<TARGET_OBJECTS:COMMON_ASM_SSE2>
        $<TARGET_OBJECTS:COMMON_ASM_SSSE3>
        $<TARGET_OBJECTS:COMMON_ASM_SSE4_1>
        $<TARGET_OBJECTS:COMMON_ASM_AVX2>
        $<TARGET_OBJECTS:COMMON_ASM_AVX512>
        $<TARGET_OBJECTS:ENCODER_GLOBALS>
        $<TARGET_OBJECTS:ENCODER_CODEC>
        $<TARGET_OBJECTS:ENCODER_C_DEFAULT>
        $<TARGET_OBJECTS:ENCODER_ASM_SSE2>
        $<TARGET_OBJECTS:ENCODER_ASM_SSSE3>
        $<TARGET_OBJECTS:ENCODER_ASM_SSE4_1>
        $<TARGET_OBJECTS:ENCODER_ASM_AVX2>
        $<TARGET_OBJECTS:ENCODER_ASM_AVX512>)
else()
    add_library(SvtAv1Enc
        ${all_files}
        $<TARGET_OBJECTS:COMMON_CODEC>
        $<TARGET_OBJECTS:FASTFEAT>
        $<TARGET_OBJECTS:COMMON_C_DEFAULT>
        $<TARGET_OBJECTS:ENCODER_GLOBALS>
        $<TARGET_OBJECTS:ENCODER_CODEC>
        $<TARGET_OBJECTS:ENCODER_C_DEFAULT>)
endif()

set_target_properties(SvtAv1Enc PROPERTIES VERSION ${ENC_VERSION})
set_target_properties(SvtAv1Enc PROPERTIES SOVERSION ${ENC_VERSION_MAJOR})
set_target_properties(SvtAv1Enc PROPERTIES C_VISIBILITY_PRESET hidden)
target_link_libraries(SvtAv1Enc PUBLIC ${PLATFORM_LIBS})
if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
    target_link_libraries(SvtAv1Enc PRIVATE cpuinfo_public)
endif()

set(ENC_PKG_CONFIG_EXTRA_CFLAGS "")
if (BUILD_SHARED_LIBS)
    target_compile_definitions(SvtAv1Enc
        PUBLIC EB_DLL
        PRIVATE EB_BUILDING_SHARED_LIBS)
    set(ENC_PKG_CONFIG_EXTRA_CFLAGS " -DEB_DLL")
endif()
install(TARGETS SvtAv1Enc
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

configure_file(pkg-config.pc.in ${CMAKE_BINARY_DIR}/SvtAv1Enc.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/SvtAv1Enc.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== debian/changelog ===
svt-av1 (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg

 -- Dylan Aïssi <daissi@debian.org>  Sat, 24 Jun 2023 09:27:31 +0200

=== debian/control ===
Source: svt-av1
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               yasm
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/AOMediaCodec/SVT-AV1
Vcs-Browser: https://salsa.debian.org/multimedia-team/svt-av1
Vcs-Git: https://salsa.debian.org/multimedia-team/svt-av1.git

Package: svt-av1
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
 is a work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications. The SVT-AV1 decoder
 implementation is targeting future codec research activities.

Package: libsvtav1dec0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Scalable Video Technology for AV1 (libsvtav1dec shared library)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
 is a work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications. The SVT-AV1 decoder
 implementation is targeting future codec research activities.
 .
 This package provides the shared library libsvtav1dec.

Package: libsvtav1dec-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsvtav1-dev (= ${source:Version}),
         libsvtav1dec0 (= ${binary:Version}),
         ${misc:Depends}
Description: Scalable Video Technology for AV1 (libsvtav1dec development files)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
 is a work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications. The SVT-AV1 decoder
 implementation is targeting future codec research activities.
 .
 This package provides the development files for libsvtav1dec.

Package: libsvtav1enc1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Scalable Video Technology for AV1 (libsvtav1enc shared library)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
 is a work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications. The SVT-AV1 decoder
 implementation is targeting future codec research activities.
 .
 This package provides the shared library libsvtav1enc.

Package: libsvtav1enc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsvtav1-dev (= ${source:Version}),
         libsvtav1enc1 (= ${binary:Version}),
         ${misc:Depends}
Description: Scalable Video Technology for AV1 (libsvtav1enc development files)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
 is a work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications. The SVT-AV1 decoder
 implementation is targeting future codec research activities.
 .
 This package provides the development files for libsvtav1enc.

Package: libsvtav1-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: Scalable Video Technology for AV1 (header files)
 The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
 AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
 is a work-in-progress targeting performance levels applicable to both VOD and
 Live encoding / transcoding video applications. The SVT-AV1 decoder
 implementation is targeting future codec research activities.
 .
 This package provides the header files shared between libsvtav1enc-dev
 and libsvtav1dec-dev.

## svt-av1 1.7.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
                     "Please use the Build folder or create your own.")
 endif()
 
-project(svt-av1 VERSION 1.6.0
+project(svt-av1 VERSION 1.7.0
     LANGUAGES C CXX)
 
 if(POLICY CMP0063)

=== Source/Lib/Decoder/CMakeLists.txt ===
#
# Copyright(c) 2019 Intel Corporation
#
# This source code is subject to the terms of the BSD 2 Clause License and
# the Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License
# was not distributed with this source code in the LICENSE file, you can
# obtain it at https://www.aomedia.org/license/software-license. If the Alliance for Open
# Media Patent License 1.0 was not distributed with this source code in the
# PATENTS file, you can obtain it at https://www.aomedia.org/license/patent-license.
#
# Decoder Library directory CMakeLists.txt

# Shared Decoder Version
set(DEC_VERSION_MAJOR 0)
set(DEC_VERSION_MINOR 8)
set(DEC_VERSION_PATCH 7)
set(DEC_VERSION ${DEC_VERSION_MAJOR}.${DEC_VERSION_MINOR}.${DEC_VERSION_PATCH})

if(UNIX)
    if(NOT APPLE)
        find_library(M_LIB NAMES m)
        if(M_LIB)
            list(APPEND PLATFORM_LIBS m)
        endif()
        list(APPEND PLATFORM_LIBS Threads::Threads)
    endif()
    set(LIBS_PRIVATE "-lpthread -lm")
endif()

if(COVERAGE)
    if(CMAKE_C_COMPILER_ID MATCHES "GNU")
        set(LIBS_PRIVATE "-lgcov ${LIBS_PRIVATE}")
    else(CMAKE_C_COMPILER_ID MATCHES "Clang")
        set(LIBS_PRIVATE "--coverage ${LIBS_PRIVATE}")
    endif()
endif()

include_directories(${PROJECT_BINARY_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/API/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/C_DEFAULT/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Decoder/Codec/
    ${PROJECT_SOURCE_DIR}/third_party/fastfeat/)
link_directories(${PROJECT_SOURCE_DIR}/Source/Lib/Common/C_DEFAULT/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Decoder/Codec/
    ${PROJECT_SOURCE_DIR}/third_party/fastfeat/)

if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
    # Include Decoder Subdirectories
    include_directories(${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSSE3/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE4_1/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX512/)

    link_directories(${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSSE3/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE4_1/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX512/)
endif()

# Required for cmake to be able to tell Xcode how to link all of the object files
if(CMAKE_GENERATOR STREQUAL "Xcode")
    file(WRITE ${PROJECT_BINARY_DIR}/dummy.c "")
endif()

set(all_files
    Codec/EbDecBitReader.h
    Codec/EbDecBitstream.c
    Codec/EbDecBitstream.h
    Codec/EbDecBitstreamUnit.c
    Codec/EbDecBitstreamUnit.h
    Codec/EbDecBlock.h
    Codec/EbDecCdef.c
    Codec/EbDecCdef.h
    Codec/EbDecHandle.c
    Codec/EbDecHandle.h
    Codec/EbDecInterPrediction.c
    Codec/EbDecInterPrediction.h
    Codec/EbDecIntraPrediction.c
    Codec/EbDecIntraPrediction.h
    Codec/EbDecInverseQuantize.c
    Codec/EbDecInverseQuantize.h
    Codec/EbDecLF.c
    Codec/EbDecLF.h
    Codec/EbDecMemInit.c
    Codec/EbDecMemInit.h
    Codec/EbDecNbr.c
    Codec/EbDecNbr.h
    Codec/EbDecObmc.c
    Codec/EbDecObmc.h
    Codec/EbDecParseBlock.c
    Codec/EbDecParseFrame.c
    Codec/EbDecParseFrame.h
    Codec/EbDecParseHelper.c
    Codec/EbDecParseHelper.h
    Codec/EbDecParseInterBlock.c
    Codec/EbDecParseInterBlock.h
    Codec/EbDecParseObu.c
    Codec/EbDecParseObuUtil.h
    Codec/EbDecPicMgr.c
    Codec/EbDecPicMgr.h
    Codec/EbDecProcess.c
    Codec/EbDecProcess.h
    Codec/EbDecProcessBlock.c
    Codec/EbDecProcessBlock.h
    Codec/EbDecProcessFrame.c
    Codec/EbDecProcessFrame.h
    Codec/EbDecRestoration.c
    Codec/EbDecRestoration.h
    Codec/EbDecStruct.h
    Codec/EbDecSuperRes.c
    Codec/EbDecUtils.c
    Codec/EbDecUtils.h
    Codec/EbObuParse.h
    )

get_target_property(common_lib_source common_lib INTERFACE_SOURCES)
if(common_lib_source)
    list(APPEND all_files ${common_lib_source} ${PROJECT_BINARY_DIR}/dummy.c)
endif()

# Decoder Lib Source Files
if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
    add_library(SvtAv1Dec
        ${all_files}
        $<TARGET_OBJECTS:COMMON_CODEC>
        $<TARGET_OBJECTS:FASTFEAT>
        $<TARGET_OBJECTS:COMMON_C_DEFAULT>
        $<TARGET_OBJECTS:COMMON_ASM_SSE2>
        $<TARGET_OBJECTS:COMMON_ASM_SSSE3>
        $<TARGET_OBJECTS:COMMON_ASM_SSE4_1>
        $<TARGET_OBJECTS:COMMON_ASM_AVX2>
        $<TARGET_OBJECTS:COMMON_ASM_AVX512>)
else()
    add_library(SvtAv1Dec
        ${all_files}
        $<TARGET_OBJECTS:COMMON_CODEC>
        $<TARGET_OBJECTS:FASTFEAT>
        $<TARGET_OBJECTS:COMMON_C_DEFAULT>)
endif()

set_target_properties(SvtAv1Dec PROPERTIES VERSION ${DEC_VERSION})
set_target_properties(SvtAv1Dec PROPERTIES SOVERSION ${DEC_VERSION_MAJOR})
set_target_properties(SvtAv1Dec PROPERTIES C_VISIBILITY_PRESET hidden)
add_dependencies(SvtAv1Dec EbVersionHeaderGen)
target_link_libraries(SvtAv1Dec PUBLIC ${PLATFORM_LIBS})
if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
    target_link_libraries(SvtAv1Dec PRIVATE cpuinfo_public)
endif()

set(DEC_PKG_CONFIG_EXTRA_CFLAGS "")
if (BUILD_SHARED_LIBS)
    target_compile_definitions(SvtAv1Dec
        PUBLIC EB_DLL
        PRIVATE EB_BUILDING_SHARED_LIBS)
    set(DEC_PKG_CONFIG_EXTRA_CFLAGS " -DEB_DLL")
endif()
install(TARGETS SvtAv1Dec
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

configure_file(pkg-config.pc.in ${CMAKE_BINARY_DIR}/SvtAv1Dec.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/SvtAv1Dec.pc DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")

=== Source/Lib/Encoder/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # Shared Encoder Version
 set(ENC_VERSION_MAJOR 1)
-set(ENC_VERSION_MINOR 6)
+set(ENC_VERSION_MINOR 7)
 set(ENC_VERSION_PATCH 0)
 set(ENC_VERSION ${ENC_VERSION_MAJOR}.${ENC_VERSION_MINOR}.${ENC_VERSION_PATCH})

=== Source/Lib/Common/ASM_AVX512/CMakeLists.txt ===
#
# Copyright(c) 2019 Intel Corporation
#
# This source code is subject to the terms of the BSD 2 Clause License and
# the Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License
# was not distributed with this source code in the LICENSE file, you can
# obtain it at https://www.aomedia.org/license/software-license. If the Alliance for Open
# Media Patent License 1.0 was not distributed with this source code in the
# PATENTS file, you can obtain it at https://www.aomedia.org/license/patent-license.
#

# Common/ASM_AVX512 Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/C_DEFAULT/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE2/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSSE3/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE4_1/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX2/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_AVX512/)
link_directories(${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSSE3/)

check_both_flags_add(
    -mavx2
    -mavx512f
    -mavx512bw
    -mavx512dq
    -mavx512vl)

if(MSVC)
    check_both_flags_add(/arch:AVX512)
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "Intel")
    if(WIN32)
        # Intel Windows (*Note - The Warning level /W0 should be made to /W4 at some point)
        check_both_flags_add(/Qdiag-disable:10010,10148,10157 /W0)
    else()
        check_both_flags_add(-static-intel -w)
    endif()
endif()

set(all_files
    EbHighbdIntraPrediction_AVX512.c
    EbPictureOperators_Intrinsic_AVX512.c
    cdef_block_avx512.c
    convolve_2d_avx512.c
    convolve_avx512.c
    convolve_avx512.h
    highbd_inv_txfm_avx512.c
    jnt_convolve_2d_avx512.c
    jnt_convolve_avx512.c
    synonyms_avx512.h
    transpose_avx512.h
    wiener_convolve_avx512.c
    )

add_library(COMMON_ASM_AVX512 OBJECT ${all_files})

=== Source/Lib/Common/ASM_SSE2/CMakeLists.txt ===
#
# Copyright(c) 2019 Intel Corporation
#
# This source code is subject to the terms of the BSD 2 Clause License and
# the Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License
# was not distributed with this source code in the LICENSE file, you can
# obtain it at https://www.aomedia.org/license/software-license. If the Alliance for Open
# Media Patent License 1.0 was not distributed with this source code in the
# PATENTS file, you can obtain it at https://www.aomedia.org/license/patent-license.
#

# ASM_SSE2 Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/C_DEFAULT/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/ASM_SSE2/)

check_both_flags_add(-msse2)

if(CMAKE_C_COMPILER_ID STREQUAL "Intel" AND NOT WIN32)
    check_both_flags_add(-static-intel -w)
endif()

set(all_files
    EbAvcStyleMcp_Intrinsic_SSE2.c
    EbDeblockingFilter_Intrinsic_SSE2.c
    EbDeblockingFilter_SSE2.h
    EbHighbdIntraPrediction_SSE2.h
    EbIntraPrediction_AV1_Intrinsic_SSE2.c
    EbMcp_SSE2.h
    EbPackUnPack_Intrinsic_SSE2.c
    EbPictureOperators_Intrinsic_SSE2.c
    EbPictureOperators_SSE2.h
    av1_txfm_sse2.h
    convolve_2d_sse2.c
    convolve_sse2.c
    highbd_intrapred_sse2.c
    highbd_subtract_sse2.c
    jnt_convolve_2d_sse2.c
    jnt_convolve_sse2.c
    lpf_common_sse2.h
    synonyms.h
    transpose_sse2.h
    wiener_convolve_sse2.c
    )

set(asm_files
    intrapred_sse2.asm
    EbPictureOperators_SSE2.asm
    highbd_intrapred_sse2_.asm
    aom_subpixel_8t_sse2.asm
    subtract_sse2.asm)

add_library(COMMON_ASM_SSE2 OBJECT ${all_files})

asm_compile_to_target(COMMON_ASM_SSE2 ${asm_files})

=== Source/Lib/Common/C_DEFAULT/CMakeLists.txt ===
#
# Copyright(c) 2019 Intel Corporation
#
# This source code is subject to the terms of the BSD 2 Clause License and
# the Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License
# was not distributed with this source code in the LICENSE file, you can
# obtain it at https://www.aomedia.org/license/software-license. If the Alliance for Open
# Media Patent License 1.0 was not distributed with this source code in the
# PATENTS file, you can obtain it at https://www.aomedia.org/license/patent-license.
#
# C_DEFAULT Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/Codec/
    ${PROJECT_SOURCE_DIR}/Source/Lib/Common/C_DEFAULT/)

set(all_files
    EbBlend_a64_mask_c.c
    EbInterPrediction_c.c
    EbIntraPrediction_c.c
    EbPackUnPack_C.c
    EbPackUnPack_C.h
    EbPictureOperators_C.c
    EbPictureOperators_C.h
    cfl_c.c
    filterintra_c.c
    )

add_library(COMMON_C_DEFAULT OBJECT ${all_files})

=== Source/Lib/Encoder/Codec/CMakeLists.txt ===
#
# Copyright(c) 2019 Intel Corporation
#
# This source code is subject to the terms of the BSD 2 Clause License and
# the Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License
# was not distributed with this source code in the LICENSE file, you can
# obtain it at https://www.aomedia.org/license/software-license. If the Alliance for Open
# Media Patent License 1.0 was not distributed with this source code in the
# PATENTS file, you can obtain it at https://www.aomedia.org/license/patent-license.
#

# C_DEFAULT Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(../../../API
        ../../Encoder/Codec
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/C_DEFAULT/
        ${PROJECT_SOURCE_DIR}/third_party/fastfeat/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/Globals/
        )

if(NOT COMPILE_C_ONLY AND HAVE_X86_PLATFORM)
# Include Encoder Subdirectories
include_directories(
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSE2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSSE3/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_SSE4_1/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_AVX2/
        ${PROJECT_SOURCE_DIR}/Source/Lib/Encoder/ASM_AVX512/
        )
endif ()

set(all_files
        EbAdaptiveMotionVectorPrediction.c
        EbAdaptiveMotionVectorPrediction.h
        EbCdefProcess.c
        EbCdefProcess.h
        EbCodingLoop.c
        EbCodingLoop.h
        EbCodingUnit.c
        EbCodingUnit.h
        EbComputeMean.h
        EbComputeSAD.h
        EbDeblockingFilter.c
        EbDeblockingFilter.h
        EbDlfProcess.c
        EbDlfProcess.h
        EbEncCdef.c
        EbEncCdef.h
        EbEncDecProcess.c
        EbEncDecProcess.h
        EbEncDecResults.c
        EbEncDecResults.h
        EbEncDecSegments.c
        EbEncDecSegments.h
        EbEncDecTasks.c
        EbEncDecTasks.h
        EbEncInterPrediction.c
        EbEncInterPrediction.h
        EbEncIntraPrediction.c
        EbEncIntraPrediction.h
        EbEncWarpedMotion.c
        EbEncWarpedMotion.h
        EbEncodeContext.c
        EbEncodeContext.h
        EbEntropyCoding.c
        EbEntropyCoding.h
        EbEntropyCodingObject.h
        EbEntropyCodingProcess.c
        EbEntropyCodingProcess.h
        EbEntropyCodingResults.c
        EbEntropyCodingResults.h
        EbEntropyCodingUtil.h
        EbFullLoop.c
        EbFullLoop.h
        EbGlobalMotionEstimation.c
        EbGlobalMotionEstimation.h
        EbGlobalMotionEstimationCost.c
        EbGlobalMotionEstimationCost.h
        EbInitialRateControlProcess.c
        EbInitialRateControlProcess.h
        EbInitialRateControlReorderQueue.c
        EbInitialRateControlReorderQueue.h
        EbInitialRateControlResults.c
        EbInitialRateControlResults.h
        EbLambdaRateTables.h
        EbMdRateEstimation.c
        EbMdRateEstimation.h
        EbMeSadCalculation.c
        EbMeSadCalculation.h
        EbModeDecision.c
        EbModeDecision.h
        EbModeDecisionConfiguration.h
        EbModeDecisionConfigurationProcess.c
        EbModeDecisionConfigurationProcess.h
        EbModeDecisionProcess.c
        EbModeDecisionProcess.h
        EbModeDecisionSegments.h
        EbMotionEstimation.c
        EbMotionEstimation.h
        EbMotionEstimationContext.c
        EbMotionEstimationContext.h
        EbMotionEstimationLcuResults.h
        EbMotionEstimationProcess.c
        EbMotionEstimationProcess.h
        EbMotionEstimationResults.c
        EbMotionEstimationResults.h
        EbMotionVectorUnit.h
        EbMvMerge.h
        EbNeighborArrays.c
        EbNeighborArrays.h
        EbPacketizationProcess.c
        EbPacketizationProcess.h
        EbPacketizationReorderQueue.c
        EbPacketizationReorderQueue.h
        EbPictureAnalysisProcess.c
        EbPictureAnalysisProcess.h
        EbPictureAnalysisResults.c
        EbPictureAnalysisResults.h
        EbPictureControlSet.c
        EbPictureControlSet.h
        EbPictureDecisionProcess.c
        EbPictureDecisionProcess.h
        EbPictureDecisionQueue.c
        EbPictureDecisionQueue.h
        EbPictureDecisionReorderQueue.c
        EbPictureDecisionReorderQueue.h
        EbPictureDecisionResults.c
        EbPictureDecisionResults.h
        EbPictureDemuxResults.c
        EbPictureDemuxResults.h
        EbPictureManagerProcess.c
        EbPictureManagerProcess.h
        EbPictureManagerQueue.c
        EbPictureManagerQueue.h
        EbPredictionStructure.c
        EbPredictionStructure.h
        EbPredictionUnit.h
        EbProductCodingLoop.c
        EbPsnr.c
        EbPsnr.h
        EbRateControlProcess.c
        EbRateControlProcess.h
        EbRateControlResults.c
        EbRateControlResults.h
        EbRateControlTables.c
        EbRateControlTables.h
        EbRateControlTasks.c
        EbRateControlTasks.h
        EbRateDistortionCost.c
        EbRateDistortionCost.h
        EbReferenceObject.c
        EbReferenceObject.h
        EbResize.c
        EbResize.h
        EbResourceCoordinationProcess.c
        EbResourceCoordinationProcess.h
        EbResourceCoordinationResults.c
        EbResourceCoordinationResults.h
        EbRestProcess.c
        EbRestProcess.h
        EbRestorationPick.c
        EbRestorationPick.h
        EbSegmentation.c
        EbSegmentation.h
        EbSequenceControlSet.c
        EbSequenceControlSet.h
        EbSourceBasedOperationsProcess.c
        EbSourceBasedOperationsProcess.h
        EbTemporalFiltering.c
        EbTemporalFiltering.h
        EbTransformUnit.h
        EbTransforms.c
        EbTransforms.h
        aom_dsp_rtcd.c
        aom_dsp_rtcd.h
        av1me.c
        av1me.h
        corner_detect.c
        corner_detect.h
        corner_match.c
        corner_match.h
        dwt.c
        dwt.h
        encoder.h
        fft.c
        fft_common.h
        firstpass.c
        firstpass.h
        global_motion.c
        global_motion.h
        hash.c
        hash.h
        hash_motion.c
        hash_motion.h
        k_means_template.h
        level.c
        level.h
        mathutils.h
        mcomp.c
        mcomp.h
        mv.h
        noise_model.c
        noise_model.h
        noise_util.c
        noise_util.h
        palette.c
        pass2_strategy.c
        pass2_strategy.h
        random.h
        ransac.c
        ransac.h
        vector.c
        vector.h
        EncModeConfig.c
        EncModeConfig.h
        )

add_library(ENCODER_CODEC OBJECT ${all_files})

=== debian/changelog ===
svt-av1 (1.7.0+dfsg-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:47:47 +0200

svt-av1 (1.7.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Delete 'Bin/' during dh_clean (Closes: #1046466)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Sep 2023 14:03:46 +0200

svt-av1 (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.7.0+dfsg

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Sep 2023 15:44:29 +0200

svt-av1 (1.6.0+dfsg-2) experimental; urgency=medium

  * Rename libsvtav1enc1 to libsvtav1enc1d1 due to an ABI breakage
      (Closes: #1041302)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 02 Aug 2023 21:40:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: svt-av1
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
@@ -54,12 +55,14 @@
  .
  This package provides the development files for libsvtav1dec.
 
-Package: libsvtav1enc1
+Package: libsvtav1enc1d1
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Replaces: libsvtav1enc1 (<< 1.6.0+dfsg-2~)
+Breaks: libsvtav1enc1 (<< 1.6.0+dfsg-2~)
 Description: Scalable Video Technology for AV1 (libsvtav1enc shared library)
  The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
  AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
@@ -74,7 +77,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libsvtav1-dev (= ${source:Version}),
-         libsvtav1enc1 (= ${binary:Version}),
+         libsvtav1enc1d1 (= ${binary:Version}),
          ${misc:Depends}
 Description: Scalable Video Technology for AV1 (libsvtav1enc development files)
  The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an

## svt-av1 2.1.0+dfsg

=== debian/changelog ===
svt-av1 (2.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 08 Jul 2024 12:07:17 +0200

svt-av1 (2.1.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.1.0+dfsg
  * Fix debian/watch
  * Standards-Version: 4.7.0 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 May 2024 16:04:41 +0200

svt-av1 (2.0.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.0+dfsg
  * Bump SONAME to libsvtav1enc2 (Closes: #1059068)
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Mar 2024 21:38:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: svt-av1
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                yasm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/AOMediaCodec/SVT-AV1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/svt-av1
@@ -55,14 +54,12 @@
  .
  This package provides the development files for libsvtav1dec.
 
-Package: libsvtav1enc1d1
+Package: libsvtav1enc2
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: libsvtav1enc1 (<< 1.6.0+dfsg-2~)
-Breaks: libsvtav1enc1 (<< 1.6.0+dfsg-2~)
 Description: Scalable Video Technology for AV1 (libsvtav1enc shared library)
  The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an
  AV1-compliant encoder/decoder library core. The SVT-AV1 encoder development
@@ -77,7 +74,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libsvtav1-dev (= ${source:Version}),
-         libsvtav1enc1d1 (= ${binary:Version}),
+         libsvtav1enc2 (= ${binary:Version}),
          ${misc:Depends}
 Description: Scalable Video Technology for AV1 (libsvtav1enc development files)
  The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CONFIG_ARGS := -DCMAKE_BUILD_TYPE=Release \
               -DREPRODUCIBLE_BUILDS=ON

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter i386 x32, $(DEB_HOST_ARCH)))
CONFIG_ARGS += -DCOMPILE_C_ONLY=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_ARGS}

## svt-av1 2.2.1+dfsg

=== debian/changelog ===
svt-av1 (2.2.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Sep 2024 21:45:46 +0200

svt-av1 (2.2.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2.2.1+dfsg
  * Add symbols file

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Aug 2024 09:54:31 +0200

svt-av1 (2.1.2+dfsg-1) experimental; urgency=medium

  * New upstream version 2.1.2+dfsg
  * Use nasm instead of yasm in Build-Deps
  * Drop packaging for decoder, it was removed upstream.
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Wed, 07 Aug 2024 10:50:03 +0200

## svt-av1 2.3.0%2Bdfsg

=== Source/Lib/ASM_NEON_I8MM/CMakeLists.txt ===
#
# Copyright (c) 2024, Alliance for Open Media. All rights reserved
#
# This source code is subject to the terms of the BSD 2 Clause License and the
# Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License was
# not distributed with this source code in the LICENSE file, you can obtain it
# at www.aomedia.org/license/software. If the Alliance for Open Media Patent
# License 1.0 was not distributed with this source code in the PATENTS file, you
# can obtain it at www.aomedia.org/license/patent.
#

# ASM_NEON_I8MM Directory CMakeLists.txt

# Include Encoder Subdirectories
enable_language(ASM) # needed for .S files

check_both_flags_add(-march=armv8.2-a+dotprod+i8mm)

add_library(ASM_NEON_I8MM OBJECT)
target_sources(
  ASM_NEON_I8MM
  PUBLIC aom_convolve8_neon_i8mm.c
  PUBLIC convolve_neon_i8mm.c
  PUBLIC jnt_convolve_neon_i8mm.c)

target_include_directories(
  ASM_NEON_I8MM
  PRIVATE ${PROJECT_SOURCE_DIR}/Source/API/
  PRIVATE ${PROJECT_SOURCE_DIR}/Source/Lib/Codec/
  PRIVATE ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT/
  PRIVATE ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_NEON/
  PRIVATE ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_NEON_DOTPROD/)
